#include <stdio.h>
#include <stdlib.h>

int main()
{
    unsigned brojStalaktita, pericinaVisina;

    scanf("%u %u", &brojStalaktita, &pericinaVisina);
    unsigned stalaktiti[brojStalaktita];

    for(int i=0; i<brojStalaktita; i++)
    {
        scanf("%u", &stalaktiti[i]);
    }

    for(int i=0; i<brojStalaktita; i++)
    {
        if(stalaktiti[i]<=pericinaVisina)
        {
            printf("%u", i+1);
            return 0;
        }
    }
    printf("-1");
    return 0;
}